Page 2 of 4 FirstFirst 1234 LastLast
Results 11 to 20 of 40

Thread: can't install google earth in 12.10

  1. #11
    Join Date
    Jan 2012
    Beans
    111

    Re: can't install google earth in 12.10

    Quote Originally Posted by oldos2er View Post
    I don't really understand why it's not picking up ia32-libs-multiarch. Try
    Code:
    sudo apt-get clean
    
    sudo apt-get update
    
    sudo apt-get install google-earth-stable
    That last command assumes you have Google's repository enabled. Also, could you post
    Code:
    cat /etc/apt/sources.list
    ?
    Me neither I am totaly stumped
    here is the results

    cabz@ubuntu:~$ sudo apt-get install google-earth-stable
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    google-earth-stable : Depends: ia32-libs but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    cabz@ubuntu:~$


    cabz@ubuntu:~$ cat /etc/apt/sources.list
    deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
    deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
    deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
    cabz@ubuntu:~$

    and is software sources i have an entry for http://dl.google.com/linux/earth/deb/stable main

  2. #12
    Join Date
    May 2006
    Location
    Boston
    Beans
    1,909
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: can't install google earth in 12.10

    you can just doewnload it from here : http://packages.ubuntu.com/precise/ia32-libs-multiarch

    and install it with "sudo dpkg -i ia32-libs-multiarch_20090808ubuntu35_i386.deb"



    edit: the dependencies is a 32-multiarch package , which won't be see by the package manager for installation since you are running a 64 sys. You have to install it manually. After the install try to reinstall google-earth again.

    edit #2:
    https://wiki.ubuntu.com/MultiarchSpec
    https://help.ubuntu.com/community/MultiArch
    Last edited by fdrake; January 4th, 2013 at 01:21 AM.

    blog
    Donations BTC : 12FwoB7uAM5FnweykpR1AEEDVFaTLTYFkS
    DOUBLEPLUSGOOD!!

  3. #13
    Join Date
    Jan 2012
    Beans
    111

    Re: can't install google earth in 12.10

    Quote Originally Posted by fdrake View Post
    you can just doewnload it from here : http://packages.ubuntu.com/precise/ia32-libs-multiarch

    and install it with "sudo dpkg -i ia32-libs-multiarch_20090808ubuntu35_i386.deb"



    edit: the dependencies is a 32-multiarch package , which won't be see by the package manager for installation since you are running a 64 sys. You have to install it manually. After the install try to reinstall google-earth again.

    edit #2:
    https://wiki.ubuntu.com/MultiarchSpec
    https://help.ubuntu.com/community/MultiArch
    I tried these and got nothing but these messages

    cabz@ubuntu:~$ sudo dpkg -i ia32-libs-multiarch_20090808ubuntu35_i386.deb
    [sudo] password for cabz:
    dpkg: error processing ia32-libs-multiarch_20090808ubuntu35_i386.deb (--install):
    cannot access archive: No such file or directory
    Errors were encountered while processing:
    ia32-libs-multiarch_20090808ubuntu35_i386.deb
    cabz@ubuntu:~$
    Screenshot from 2013-01-03 19:41:17.jpg

  4. #14
    Join Date
    May 2006
    Location
    Boston
    Beans
    1,909
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: can't install google earth in 12.10

    Quote Originally Posted by cabz View Post
    I tried these and got nothing but these messages

    cabz@ubuntu:~$ sudo dpkg -i ia32-libs-multiarch_20090808ubuntu35_i386.deb
    [sudo] password for cabz:
    dpkg: error processing ia32-libs-multiarch_20090808ubuntu35_i386.deb (--install):
    cannot access archive: No such file or directory
    Errors were encountered while processing:
    ia32-libs-multiarch_20090808ubuntu35_i386.deb
    cabz@ubuntu:~$
    Screenshot from 2013-01-03 19:41:17.jpg
    try this:
    Code:
     sudo dpkg -i ~/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb

    edit: beside being a multiarch, the package itself presents a bug https://bugs.launchpad.net/ubuntu/+s...ic/+bug/971761
    Last edited by fdrake; January 4th, 2013 at 01:56 AM.

    blog
    Donations BTC : 12FwoB7uAM5FnweykpR1AEEDVFaTLTYFkS
    DOUBLEPLUSGOOD!!

  5. #15
    Join Date
    Jan 2012
    Beans
    111

    Re: can't install google earth in 12.10

    Quote Originally Posted by fdrake View Post
    try this:
    Code:
     sudo dpkg -i ~/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb
    edit: beside being a multiarch, the package itself presents a bug https://bugs.launchpad.net/ubuntu/+s...ic/+bug/971761
    I tried the code and got nothing but
    cabz@ubuntu:~$ sudo dpkg -i ~/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb
    [sudo] password for cabz:
    dpkg: error processing /home/cabz/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb (--install):
    package architecture (i386) does not match system (amd64)
    Errors were encountered while processing:
    /home/cabz/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb

    then I found a site that loisted the amd64 file and got this
    Screenshot from 2013-01-03 20:37:34.jpg it seems the amd64 version is a bit elusive

  6. #16
    Join Date
    May 2006
    Location
    Boston
    Beans
    1,909
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: can't install google earth in 12.10

    Quote Originally Posted by cabz View Post
    I tried the code and got nothing but
    cabz@ubuntu:~$ sudo dpkg -i ~/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb
    [sudo] password for cabz:
    dpkg: error processing /home/cabz/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb (--install):
    package architecture (i386) does not match system (amd64)
    Errors were encountered while processing:
    /home/cabz/Downloads/ia32-libs-multiarch_20090808ubuntu35_i386.deb

    then I found a site that loisted the amd64 file and got this
    Screenshot from 2013-01-03 20:37:34.jpg it seems the amd64 version is a bit elusive
    I am running ubuntu 12.04 - 64 bit and I am able to install ia32-libs-multiarch right the way from the repositories. Maybe it's due to the ubuntu version you are using. The only think I can tell you is to try the 12.04 and always stick with the long term releases; it's the fastest way to get bug support.

    blog
    Donations BTC : 12FwoB7uAM5FnweykpR1AEEDVFaTLTYFkS
    DOUBLEPLUSGOOD!!

  7. #17
    Join Date
    Jan 2012
    Beans
    111

    Re: can't install google earth in 12.10

    Quote Originally Posted by fdrake View Post
    I am running ubuntu 12.04 - 64 bit and I am able to install ia32-libs-multiarch right the way from the repositories. Maybe it's due to the ubuntu version you are using. The only think I can tell you is to try the 12.04 and always stick with the long term releases; it's the fastest way to get bug support.
    and heres the kicker and probably the issue? the PC i am trying to install it on is a laptop dual booted w win 7 and a fresh wubi install or 12.10
    I have an old busted laptop in the garage that was a fresh install of 12.04 and upgraded to 12.10 and i just installed and ran google earth flawlessly.

  8. #18
    Join Date
    May 2006
    Location
    Boston
    Beans
    1,909
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: can't install google earth in 12.10

    Quote Originally Posted by cabz View Post
    and heres the kicker and probably the issue? the PC i am trying to install it on is a laptop dual booted w win 7 and a fresh wubi install or 12.10
    I have an old busted laptop in the garage that was a fresh install of 12.04 and upgraded to 12.10 and i just installed and ran google earth flawlessly.
    No comment!

    blog
    Donations BTC : 12FwoB7uAM5FnweykpR1AEEDVFaTLTYFkS
    DOUBLEPLUSGOOD!!

  9. #19
    Join Date
    Jan 2012
    Beans
    111

    Re: can't install google earth in 12.10

    Quote Originally Posted by fdrake View Post
    No comment!
    well that being said , can i copy the la32-libs files from one pc to another? and how will the destination pc find the files ? is there a log to update ?

  10. #20
    Join Date
    May 2006
    Location
    Boston
    Beans
    1,909
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: can't install google earth in 12.10

    Quote Originally Posted by cabz View Post
    well that being said , can i copy the la32-libs files from one pc to another? and how will the destination pc find the files ? is there a log to update ?
    well probably a developer here can guide you to a better solution , but you can always give it a try:

    command to update library "ldconfig" ("L" not "i")

    shared libraries: /usr/lib/

    good luck.

    edit: Why dont't you search for the files with the name "la32-libs" and copy them into their repective folders into the othe pc

    Code:
    sudo find / -name la32 | less
    just a hint

    blog
    Donations BTC : 12FwoB7uAM5FnweykpR1AEEDVFaTLTYFkS
    DOUBLEPLUSGOOD!!

Page 2 of 4 FirstFirst 1234 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •